@import "libs/shared/assets/src/global-style/input";
@import "libs/shared/assets/src/global-style/variable";

:host {
    width: 100%;
}

.modal-title {
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    line-height: 24px;
    display: flex;
    align-items: center;
    text-align: center;
    color: #14142b;
}

.item {
    display: flex;
    justify-content: space-between;
    &__label {
        font-style: normal;
        font-weight: 400;
        font-size: 14px;
        line-height: 150%;
        color: #4e4b66;
    }
}

.demo-infinite-container {
    border: 1px solid #e8e8e8;
    border-left: 5px #141ed2 solid;
    height: 142px;
    //border: 1px solid #e8e8e8;
    border-radius: 4px;
    margin-top: 8px;
    &__item {
        display: flex;
        align-items: center;
        column-gap: 8px;
        &--square {
            height: 6px;
            width: 6px;
            background-color: #141ed2;
        }
    }
}

.main-content {
    margin-top: 16px;
    margin-bottom: 16px;
    display: flex;
}

.main-model-organization {
    margin: 8px 8px 8px 32px;
    display: flex;
    justify-content: space-between;
    &__left {
        display: flex;
        column-gap: 16px;
    }
}

.container-fluid {
    background: $background-main;
}

.form-row {
    background: white;
    border-radius: 16px;
    justify-content: space-between;
    padding: 32px 24px 32px 24px;
    row-gap: 8px;

    ::ng-deep {
        .ant-select-selector {
            padding: 0px 16px !important;
            background: white !important;
            color: initial !important;
            height: fit-content !important;
        }

        .ant-select-disabled.ant-select-multiple .ant-select-selection-item {
            color: inherit;
        }
    }

    &__input {
        width: 100%;
        border-radius: 4px !important;
        min-height: 40px;
        &--fun {
            border: none;
        }
    }

    &__label {
        margin-top: 16px;
        margin-bottom: 8px;
        font-style: normal;
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
        color: #4e4b66;
    }

    &__left {
        display: flex;
        flex-direction: column;
    }

    &__right--attach {
        display: flex;
        align-items: flex-end;
        height: 100%;
    }

    &__select {
        width: 100%;
        min-width: 150px;
        ::ng-deep {
            .ant-select-selector {
                border-radius: 8px !important;
                min-height: 40px;
                min-width: 150px;
                display: flex;
                align-items: center;
                color: #141ed2;
                background: #ffffff;
                border: 1px solid #e8eaf6;
            }
            .ant-select-selection-search-input {
                height: 100% !important;
            }
        }
    }
}

.jd-table {
    min-width: 100%;
    margin-top: 16px;
    &__label {
        font-weight: bold;
        font-size: 14px;
        line-height: 120%;
        background: rgba(232, 234, 246, 1);
    }
    &__name {
        display: flex;
        &--level {
            padding-left: 10%;
        }
    }
}

p {
    margin-bottom: 0px !important;
}

.title-input {
    display: flex;
    align-items: center;
    &--mul {
        display: flex;
        margin: 16px;
    }
}

.title {
    font-style: normal;
    letter-spacing: 0.15px;
    color: #000000;
    margin-top: 16px;
    font-weight: bold;
    font-size: 16px;
    line-height: 120%;
}

.button-approve {
    display: flex;
    justify-content: flex-end;
}

.required {
    color: red;
    text-align: center;
    padding-left: 5px;
    margin-bottom: 0px !important;
}

.template {
    margin-top: 24px;
    &__right {
        display: flex;
        align-items: flex-end;
        &--attach {
            display: flex;
            align-items: flex-end;
            height: 100%;
        }
    }
}

.button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
    width: 98px;
    justify-content: center;
}

.container-job {
    border-radius: 16px;
    background: white;
    &__content {
        padding: 5px 24px 24px 24px;
    }
}

.ant-list-split .ant-list-item {
    border-bottom: none;
    margin: 8px 0px;
}

.ant-list-lg .ant-list-item {
    padding: 4px 4px;
    border: 1px solid #d4d7e7;
    border-radius: 8px;
}

.ant-list-bordered {
    border: none;
}


.container-employee {
    margin-right: 24px;
    background: white;
    border-radius: 16px;
    height: 100%;
    &__title {
        justify-content: space-between;
        display: flex;
        padding: 16px 0px;
        margin-left: 16px;
        &--label {
            align-self: center;
            font-style: normal;
            font-weight: 700;
            font-size: 16px;
            line-height: 150%;
            color: #14142b;
        }
        &--button-container {
            display: flex;
            padding-right: 18px;
            column-gap: 12px;
            &__default {
                color: #141ed2;
                background: #ffffff;
                border: 1px solid #e8eaf6;
                box-sizing: border-box;
                border-radius: 8px;
                height: 40px;
                display: flex;
                align-items: center;
            }
            &__primary {
                background: #141ed2;
                border-radius: 8px;
                height: 40px;
                display: flex;
                align-items: center;
            }
        }
    }
}

.row-input {
    padding-top: 8px;
}
